import random
from backend import heroes

def generate():
  hs = heroes.Hero.get_index().values()
  for i in range(200):
    eligible = [h['classname'] for h in hs if h['min_stage'] <= i]
    levels = [1, 1, 1, 1, 1]
    for _ in range(i):
      levels[random.randrange(5)] += 1
    enemies = random.sample(eligible, 5)
    print('  dict(enemies=' + repr(list(zip(enemies, levels))) + '),')

if __name__ == '__main__':
  generate()

stages = [
  dict(enemies=[('Rats', 1)]),
  dict(enemies=[('CrocodileMan', 1), ('Wizard', 1)]),
  dict(enemies=[('InfectedSailor', 1), ('Rats', 1)]),
  dict(enemies=[('Scientist', 1), ('Lady', 1)]),
  dict(enemies=[('InfectedSailor', 1), ('Rats', 1), ('ThoughtWorm', 1) ]),
  dict(enemies=[('Rats', 1), ('InfectedSailor', 1), ('Lady', 1)]),
  dict(enemies=[('Knight', 1), ('ThoughtWorm', 1), ('Chicken', 2), ('Monkey', 2)]),
  dict(enemies=[('Wizard', 1), ('CrocodileMan', 3), ('Scientist', 1), ('RescueParrot', 1), ('InfectedSailor', 2)]),
  dict(enemies=[('ThoughtWorm', 1), ('CursePrincess', 3), ('Monkey', 1), ('Reaper', 2), ('Wizard', 2)]),
  dict(enemies=[('Wizard', 2), ('Reaper', 2), ('CursePrincess', 3), ('Lady', 1), ('Monkey', 2)]),
  dict(enemies=[('ThoughtWorm', 3), ('CursePrincess', 1), ('Chicken', 2), ('CrocodileMan', 2), ('RescueParrot', 3)]),
  dict(enemies=[('RescueParrot', 3), ('Wizard', 1), ('Scientist', 3), ('Monkey', 1), ('CrocodileMan', 4)]),
  dict(enemies=[('RescueParrot', 2), ('Rats', 3), ('Lady', 2), ('CursePrincess', 3), ('InfectedSailor', 3)]),
  dict(enemies=[('BullLady', 3), ('Lady', 2), ('CursePrincess', 5), ('Rats', 2), ('Chicken', 2)]),
  dict(enemies=[('Lady', 3), ('ThoughtWorm', 3), ('RescueParrot', 3), ('SteelKing', 5), ('Reaper', 1)]),
  dict(enemies=[('RescueParrot', 6), ('Monkey', 1), ('Scientist', 4), ('Wizard', 2), ('SteelKing', 3)]),
  dict(enemies=[('CursePrincess', 5), ('Monkey', 2), ('Wizard', 2), ('BullLady', 2), ('Scientist', 6)]),
  dict(enemies=[('CrocodileMan', 2), ('BullLady', 4), ('CursePrincess', 5), ('Scientist', 2), ('Lady', 5)]),
  dict(enemies=[('BullLady', 6), ('Lady', 3), ('RescueParrot', 5), ('Rats', 2), ('Scientist', 3)]),
  dict(enemies=[('Wizard', 2), ('Reaper', 2), ('CursePrincess', 7), ('RescueParrot', 5), ('SteelKing', 4)]),
  dict(enemies=[('CursePrincess', 5), ('Reaper', 5), ('Scientist', 4), ('Chicken', 1), ('CrocodileMan', 6)]),
  dict(enemies=[('Rats', 4), ('InfectedSailor', 5), ('Scientist', 5), ('SteelKing', 4), ('Reaper', 4)]),
  dict(enemies=[('InfectedSailor', 3), ('SteelKing', 4), ('Lady', 3), ('Knight', 5), ('Scientist', 8)]),
  dict(enemies=[('CursePrincess', 5), ('RescueParrot', 4), ('Wizard', 4), ('InfectedSailor', 8), ('Lady', 3)]),
  dict(enemies=[('Monkey', 3), ('RescueParrot', 4), ('Wizard', 6), ('Reaper', 7), ('CursePrincess', 5)]),
  dict(enemies=[('Monkey', 6), ('Scientist', 4), ('RescueParrot', 5), ('Lady', 7), ('CursePrincess', 4)]),
  dict(enemies=[('Scientist', 4), ('ThoughtWorm', 6), ('Chicken', 5), ('RescueParrot', 6), ('Rats', 6)]),
  dict(enemies=[('Scientist', 6), ('Rats', 5), ('CursePrincess', 5), ('InfectedSailor', 4), ('Reaper', 8)]),
  dict(enemies=[('Lady', 9), ('Chicken', 4), ('Wizard', 10), ('InfectedSailor', 2), ('ThoughtWorm', 4)]),
  dict(enemies=[('InfectedSailor', 6), ('RescueParrot', 5), ('Reaper', 8), ('CrocodileMan', 6), ('Chicken', 5)]),
  dict(enemies=[('InfectedSailor', 9), ('Reaper', 10), ('Knight', 2), ('CursePrincess', 5), ('Chicken', 5)]),
  dict(enemies=[('ThoughtWorm', 5), ('Monkey', 3), ('CursePrincess', 8), ('BullLady', 9), ('Scientist', 7)]),
  dict(enemies=[('Rats', 9), ('SteelKing', 9), ('Lady', 3), ('BullLady', 9), ('Scientist', 3)]),
  dict(enemies=[('InfectedSailor', 6), ('BullLady', 12), ('Monkey', 6), ('Scientist', 7), ('CrocodileMan', 3)]),
  dict(enemies=[('RescueParrot', 9), ('Wizard', 7), ('Rats', 6), ('Chicken', 7), ('SteelKing', 6)]),
  dict(enemies=[('Lady', 8), ('CrocodileMan', 10), ('RescueParrot', 6), ('SteelKing', 6), ('Monkey', 6)]),
  dict(enemies=[('Wizard', 5), ('CrocodileMan', 5), ('CursePrincess', 10), ('Monkey', 8), ('Lady', 9)]),
  dict(enemies=[('Knight', 5), ('RescueParrot', 5), ('Reaper', 6), ('InfectedSailor', 15), ('CrocodileMan', 7)]),
  dict(enemies=[('CursePrincess', 5), ('Scientist', 6), ('CrocodileMan', 11), ('InfectedSailor', 9), ('Chicken', 8)]),
  dict(enemies=[('Wizard', 8), ('Knight', 9), ('CrocodileMan', 6), ('RescueParrot', 8), ('Rats', 9)]),
  dict(enemies=[('Knight', 10), ('Reaper', 8), ('Scientist', 9), ('Wizard', 7), ('Lady', 7)]),
  dict(enemies=[('Rats', 8), ('Scientist', 8), ('CursePrincess', 8), ('Monkey', 8), ('InfectedSailor', 10)]),
  dict(enemies=[('CrocodileMan', 5), ('CursePrincess', 13), ('Rats', 6), ('Lady', 8), ('Scientist', 11)]),
  dict(enemies=[('ThoughtWorm', 6), ('InfectedSailor', 9), ('Knight', 8), ('Wizard', 11), ('Lady', 10)]),
  dict(enemies=[('Scientist', 11), ('ThoughtWorm', 7), ('SteelKing', 9), ('CrocodileMan', 14), ('Rats', 4)]),
  dict(enemies=[('Rats', 8), ('Reaper', 10), ('SteelKing', 4), ('Lady', 11), ('Wizard', 13)]),
  dict(enemies=[('Knight', 12), ('RescueParrot', 9), ('Reaper', 7), ('Monkey', 15), ('SteelKing', 4)]),
  dict(enemies=[('Lady', 9), ('CrocodileMan', 10), ('Scientist', 10), ('Knight', 11), ('Chicken', 8)]),
  dict(enemies=[('Knight', 9), ('Reaper', 14), ('ThoughtWorm', 9), ('CursePrincess', 8), ('Lady', 9)]),
  dict(enemies=[('Scientist', 12), ('Chicken', 12), ('Wizard', 10), ('InfectedSailor', 6), ('Monkey', 10)]),
  dict(enemies=[('Wizard', 6), ('BullLady', 11), ('ThoughtWorm', 12), ('SteelKing', 13), ('Scientist', 9)]),
  dict(enemies=[('CursePrincess', 8), ('RescueParrot', 15), ('InfectedSailor', 12), ('SteelKing', 7), ('BullLady', 10)]),
  dict(enemies=[('Rats', 15), ('SteelKing', 5), ('InfectedSailor', 10), ('Scientist', 8), ('ThoughtWorm', 15)]),
  dict(enemies=[('Chicken', 10), ('Wizard', 13), ('BullLady', 10), ('Rats', 11), ('Scientist', 10)]),
  dict(enemies=[('Knight', 12), ('RescueParrot', 14), ('Reaper', 12), ('Lady', 8), ('ThoughtWorm', 9)]),
  dict(enemies=[('Chicken', 13), ('Monkey', 13), ('Scientist', 15), ('SteelKing', 6), ('BullLady', 9)]),
  dict(enemies=[('Chicken', 12), ('BullLady', 14), ('Reaper', 10), ('InfectedSailor', 9), ('Scientist', 12)]),
  dict(enemies=[('Wizard', 16), ('Knight', 10), ('CursePrincess', 6), ('ThoughtWorm', 17), ('InfectedSailor', 9)]),
  dict(enemies=[('RescueParrot', 11), ('Lady', 13), ('Monkey', 17), ('SteelKing', 13), ('InfectedSailor', 5)]),
  dict(enemies=[('ThoughtWorm', 12), ('CrocodileMan', 11), ('Monkey', 10), ('Lady', 13), ('BullLady', 14)]),
  dict(enemies=[('ThoughtWorm', 10), ('BullLady', 17), ('CrocodileMan', 14), ('Wizard', 13), ('Knight', 7)]),
  dict(enemies=[('Scientist', 13), ('Monkey', 17), ('CursePrincess', 11), ('Chicken', 8), ('Lady', 13)]),
  dict(enemies=[('Wizard', 9), ('CursePrincess', 13), ('Scientist', 15), ('CrocodileMan', 10), ('SteelKing', 16)]),
  dict(enemies=[('Chicken', 13), ('Monkey', 7), ('Reaper', 17), ('SteelKing', 14), ('Lady', 13)]),
  dict(enemies=[('Lady', 14), ('Knight', 15), ('Scientist', 14), ('BullLady', 13), ('Monkey', 9)]),
  dict(enemies=[('SteelKing', 14), ('RescueParrot', 13), ('CrocodileMan', 12), ('Knight', 12), ('BullLady', 15)]),
  dict(enemies=[('Lady', 15), ('CursePrincess', 9), ('Monkey', 16), ('Reaper', 13), ('Chicken', 14)]),
  dict(enemies=[('RescueParrot', 17), ('InfectedSailor', 12), ('CursePrincess', 13), ('CrocodileMan', 11), ('Wizard', 15)]),
  dict(enemies=[('Monkey', 14), ('Reaper', 11), ('Chicken', 16), ('CursePrincess', 15), ('SteelKing', 13)]),
  dict(enemies=[('RescueParrot', 15), ('CrocodileMan', 15), ('BullLady', 5), ('Knight', 20), ('Scientist', 15)]),
  dict(enemies=[('InfectedSailor', 10), ('Wizard', 16), ('Knight', 13), ('RescueParrot', 15), ('SteelKing', 17)]),
  dict(enemies=[('Rats', 17), ('CursePrincess', 8), ('InfectedSailor', 21), ('Scientist', 14), ('Wizard', 12)]),
  dict(enemies=[('BullLady', 12), ('Chicken', 17), ('Reaper', 17), ('Lady', 14), ('SteelKing', 13)]),
  dict(enemies=[('Rats', 13), ('Lady', 13), ('SteelKing', 17), ('BullLady', 17), ('Scientist', 14)]),
  dict(enemies=[('InfectedSailor', 18), ('CrocodileMan', 18), ('Rats', 13), ('CursePrincess', 14), ('Knight', 12)]),
  dict(enemies=[('Monkey', 20), ('Lady', 10), ('Chicken', 12), ('Knight', 16), ('Reaper', 18)]),
  dict(enemies=[('Reaper', 14), ('Knight', 14), ('Monkey', 16), ('InfectedSailor', 14), ('CrocodileMan', 19)]),
  dict(enemies=[('Rats', 16), ('InfectedSailor', 15), ('Monkey', 14), ('CrocodileMan', 16), ('Knight', 17)]),
  dict(enemies=[('InfectedSailor', 16), ('Reaper', 21), ('Wizard', 13), ('ThoughtWorm', 14), ('RescueParrot', 15)]),
  dict(enemies=[('Lady', 14), ('BullLady', 17), ('Chicken', 18), ('Wizard', 16), ('Scientist', 15)]),
  dict(enemies=[('Chicken', 13), ('Monkey', 23), ('Knight', 10), ('ThoughtWorm', 17), ('CrocodileMan', 18)]),
  dict(enemies=[('RescueParrot', 16), ('Wizard', 17), ('ThoughtWorm', 18), ('Monkey', 13), ('CursePrincess', 18)]),
  dict(enemies=[('CursePrincess', 20), ('BullLady', 18), ('ThoughtWorm', 14), ('Monkey', 13), ('CrocodileMan', 18)]),
  dict(enemies=[('BullLady', 19), ('InfectedSailor', 15), ('Wizard', 19), ('CrocodileMan', 15), ('Lady', 16)]),
  dict(enemies=[('Chicken', 20), ('Wizard', 20), ('Lady', 17), ('InfectedSailor', 12), ('Reaper', 16)]),
  dict(enemies=[('Chicken', 17), ('RescueParrot', 16), ('Knight', 16), ('Wizard', 19), ('SteelKing', 18)]),
  dict(enemies=[('RescueParrot', 13), ('Scientist', 23), ('SteelKing', 11), ('Rats', 19), ('Reaper', 21)]),
  dict(enemies=[('Chicken', 18), ('ThoughtWorm', 22), ('SteelKing', 13), ('RescueParrot', 18), ('Wizard', 17)]),
  dict(enemies=[('Monkey', 16), ('Reaper', 16), ('InfectedSailor', 19), ('Scientist', 22), ('BullLady', 16)]),
  dict(enemies=[('BullLady', 10), ('Monkey', 15), ('Scientist', 17), ('Chicken', 21), ('Rats', 27)]),
  dict(enemies=[('Monkey', 21), ('Reaper', 19), ('Wizard', 17), ('SteelKing', 19), ('ThoughtWorm', 15)]),
  dict(enemies=[('SteelKing', 27), ('Scientist', 17), ('CursePrincess', 11), ('Chicken', 21), ('Reaper', 16)]),
  dict(enemies=[('CrocodileMan', 13), ('Rats', 24), ('RescueParrot', 16), ('Monkey', 19), ('Chicken', 21)]),
  dict(enemies=[('ThoughtWorm', 16), ('Scientist', 15), ('Rats', 20), ('RescueParrot', 21), ('Reaper', 22)]),
  dict(enemies=[('InfectedSailor', 23), ('Scientist', 14), ('CursePrincess', 19), ('Knight', 17), ('ThoughtWorm', 22)]),
  dict(enemies=[('BullLady', 20), ('Knight', 18), ('Scientist', 17), ('Monkey', 24), ('SteelKing', 17)]),
  dict(enemies=[('CursePrincess', 19), ('Rats', 18), ('InfectedSailor', 24), ('Reaper', 20), ('RescueParrot', 16)]),
  dict(enemies=[('BullLady', 19), ('InfectedSailor', 17), ('CursePrincess', 25), ('SteelKing', 16), ('RescueParrot', 21)]),
  dict(enemies=[('BullLady', 23), ('Monkey', 20), ('Scientist', 19), ('ThoughtWorm', 17), ('SteelKing', 20)]),
  dict(enemies=[('Chicken', 18), ('CursePrincess', 10), ('CrocodileMan', 24), ('ThoughtWorm', 26), ('BullLady', 22)]),
  dict(enemies=[('Wizard', 20), ('ThoughtWorm', 13), ('Chicken', 28), ('InfectedSailor', 21), ('Scientist', 19)]),
  dict(enemies=[('ThoughtWorm', 16), ('Reaper', 30), ('Monkey', 14), ('Wizard', 22), ('RescueParrot', 20)]),
  dict(enemies=[('InfectedSailor', 20), ('CrocodileMan', 22), ('ThoughtWorm', 16), ('RescueParrot', 24), ('Reaper', 21)]),
  dict(enemies=[('CursePrincess', 18), ('SteelKing', 23), ('Lady', 20), ('Scientist', 17), ('InfectedSailor', 26)]),
  dict(enemies=[('Monkey', 18), ('CursePrincess', 18), ('Reaper', 21), ('CrocodileMan', 27), ('RescueParrot', 21)]),
  dict(enemies=[('Lady', 26), ('CrocodileMan', 23), ('RescueParrot', 22), ('Scientist', 15), ('SteelKing', 20)]),
  dict(enemies=[('Rats', 16), ('Monkey', 21), ('CursePrincess', 27), ('ThoughtWorm', 23), ('Lady', 20)]),
  dict(enemies=[('ThoughtWorm', 15), ('Chicken', 17), ('Monkey', 18), ('BullLady', 22), ('Scientist', 36)]),
  dict(enemies=[('Rats', 23), ('CrocodileMan', 23), ('ThoughtWorm', 21), ('Lady', 20), ('Wizard', 22)]),
  dict(enemies=[('Scientist', 18), ('BullLady', 19), ('RescueParrot', 22), ('Lady', 32), ('Knight', 19)]),
  dict(enemies=[('CursePrincess', 21), ('InfectedSailor', 27), ('ThoughtWorm', 15), ('Monkey', 26), ('RescueParrot', 22)]),
  dict(enemies=[('Wizard', 19), ('Knight', 18), ('Scientist', 28), ('SteelKing', 25), ('BullLady', 22)]),
  dict(enemies=[('Wizard', 24), ('Chicken', 29), ('Lady', 22), ('RescueParrot', 25), ('Rats', 13)]),
  dict(enemies=[('Scientist', 21), ('SteelKing', 26), ('Reaper', 16), ('Wizard', 21), ('Chicken', 30)]),
  dict(enemies=[('BullLady', 25), ('ThoughtWorm', 22), ('Lady', 19), ('Reaper', 31), ('Wizard', 18)]),
  dict(enemies=[('Lady', 29), ('CrocodileMan', 24), ('Reaper', 20), ('BullLady', 20), ('Chicken', 23)]),
  dict(enemies=[('BullLady', 34), ('Monkey', 23), ('CursePrincess', 21), ('Chicken', 16), ('ThoughtWorm', 23)]),
  dict(enemies=[('Lady', 27), ('Scientist', 27), ('BullLady', 25), ('CrocodileMan', 20), ('InfectedSailor', 19)]),
  dict(enemies=[('InfectedSailor', 19), ('Knight', 29), ('CrocodileMan', 23), ('SteelKing', 23), ('Lady', 25)]),
  dict(enemies=[('CursePrincess', 21), ('BullLady', 30), ('Rats', 26), ('RescueParrot', 19), ('InfectedSailor', 24)]),
  dict(enemies=[('Monkey', 29), ('ThoughtWorm', 17), ('InfectedSailor', 20), ('BullLady', 20), ('Chicken', 35)]),
  dict(enemies=[('Wizard', 24), ('Scientist', 27), ('Chicken', 21), ('CrocodileMan', 19), ('Reaper', 31)]),
  dict(enemies=[('InfectedSailor', 21), ('Knight', 24), ('Wizard', 27), ('Reaper', 28), ('Chicken', 23)]),
  dict(enemies=[('Scientist', 21), ('Monkey', 28), ('Knight', 30), ('Wizard', 24), ('Lady', 21)]),
  dict(enemies=[('ThoughtWorm', 35), ('Monkey', 19), ('Knight', 21), ('CursePrincess', 25), ('SteelKing', 25)]),
  dict(enemies=[('SteelKing', 21), ('Chicken', 25), ('Knight', 24), ('CursePrincess', 26), ('Lady', 30)]),
  dict(enemies=[('Reaper', 17), ('BullLady', 28), ('Monkey', 30), ('Chicken', 31), ('CrocodileMan', 21)]),
  dict(enemies=[('ThoughtWorm', 26), ('SteelKing', 29), ('Knight', 25), ('RescueParrot', 29), ('Reaper', 19)]),
  dict(enemies=[('BullLady', 21), ('Monkey', 20), ('InfectedSailor', 33), ('ThoughtWorm', 34), ('Chicken', 21)]),
  dict(enemies=[('Scientist', 24), ('RescueParrot', 32), ('BullLady', 22), ('CrocodileMan', 24), ('SteelKing', 28)]),
  dict(enemies=[('Wizard', 21), ('Chicken', 25), ('Rats', 31), ('BullLady', 30), ('Knight', 24)]),
  dict(enemies=[('Wizard', 31), ('CrocodileMan', 25), ('Monkey', 23), ('Lady', 21), ('Reaper', 32)]),
  dict(enemies=[('CrocodileMan', 29), ('Reaper', 24), ('Scientist', 27), ('Rats', 26), ('InfectedSailor', 27)]),
  dict(enemies=[('Scientist', 24), ('CursePrincess', 26), ('RescueParrot', 19), ('Knight', 30), ('SteelKing', 35)]),
  dict(enemies=[('RescueParrot', 32), ('InfectedSailor', 23), ('Wizard', 22), ('Chicken', 27), ('Lady', 31)]),
  dict(enemies=[('SteelKing', 32), ('ThoughtWorm', 29), ('CrocodileMan', 21), ('Scientist', 31), ('Chicken', 23)]),
  dict(enemies=[('BullLady', 36), ('Lady', 31), ('Scientist', 25), ('Rats', 22), ('Wizard', 23)]),
  dict(enemies=[('RescueParrot', 33), ('CursePrincess', 26), ('Lady', 21), ('Monkey', 29), ('Chicken', 29)]),
  dict(enemies=[('Monkey', 31), ('SteelKing', 22), ('CrocodileMan', 20), ('BullLady', 37), ('Knight', 29)]),
  dict(enemies=[('BullLady', 30), ('Rats', 35), ('SteelKing', 28), ('ThoughtWorm', 24), ('CursePrincess', 23)]),
  dict(enemies=[('InfectedSailor', 27), ('CrocodileMan', 25), ('CursePrincess', 31), ('Reaper', 33), ('Knight', 25)]),
  dict(enemies=[('Chicken', 33), ('Knight', 26), ('SteelKing', 32), ('Lady', 24), ('Rats', 27)]),
  dict(enemies=[('RescueParrot', 35), ('Lady', 24), ('BullLady', 44), ('Rats', 27), ('Wizard', 13)]),
  dict(enemies=[('Knight', 29), ('Wizard', 34), ('Monkey', 29), ('SteelKing', 22), ('InfectedSailor', 30)]),
  dict(enemies=[('Lady', 30), ('InfectedSailor', 32), ('SteelKing', 25), ('CrocodileMan', 36), ('ThoughtWorm', 22)]),
  dict(enemies=[('Scientist', 30), ('Knight', 27), ('InfectedSailor', 24), ('CrocodileMan', 37), ('RescueParrot', 28)]),
  dict(enemies=[('Reaper', 36), ('Monkey', 21), ('SteelKing', 30), ('InfectedSailor', 35), ('Chicken', 25)]),
  dict(enemies=[('RescueParrot', 30), ('Knight', 33), ('Rats', 21), ('CursePrincess', 33), ('Reaper', 31)]),
  dict(enemies=[('InfectedSailor', 22), ('RescueParrot', 37), ('Reaper', 35), ('CrocodileMan', 27), ('CursePrincess', 28)]),
  dict(enemies=[('Reaper', 30), ('Monkey', 36), ('SteelKing', 31), ('CrocodileMan', 25), ('Scientist', 28)]),
  dict(enemies=[('Monkey', 24), ('InfectedSailor', 33), ('Scientist', 46), ('Reaper', 28), ('ThoughtWorm', 20)]),
  dict(enemies=[('CrocodileMan', 30), ('CursePrincess', 22), ('SteelKing', 39), ('Monkey', 33), ('Rats', 28)]),
  dict(enemies=[('CrocodileMan', 21), ('Rats', 38), ('Lady', 37), ('ThoughtWorm', 26), ('Wizard', 31)]),
  dict(enemies=[('Reaper', 43), ('Scientist', 30), ('Monkey', 37), ('Wizard', 24), ('ThoughtWorm', 20)]),
  dict(enemies=[('Lady', 33), ('SteelKing', 34), ('CrocodileMan', 25), ('Reaper', 38), ('CursePrincess', 25)]),
  dict(enemies=[('BullLady', 40), ('Monkey', 29), ('RescueParrot', 31), ('SteelKing', 28), ('Knight', 28)]),
  dict(enemies=[('Chicken', 33), ('BullLady', 30), ('Knight', 29), ('Wizard', 32), ('Lady', 33)]),
  dict(enemies=[('BullLady', 35), ('Lady', 25), ('Rats', 30), ('Monkey', 34), ('Scientist', 34)]),
  dict(enemies=[('CursePrincess', 27), ('SteelKing', 36), ('Monkey', 29), ('Rats', 30), ('CrocodileMan', 37)]),
  dict(enemies=[('CursePrincess', 27), ('Lady', 41), ('Wizard', 28), ('Scientist', 26), ('BullLady', 38)]),
  dict(enemies=[('ThoughtWorm', 37), ('Scientist', 29), ('Monkey', 28), ('Wizard', 28), ('CursePrincess', 39)]),
  dict(enemies=[('Chicken', 37), ('Knight', 31), ('CursePrincess', 30), ('BullLady', 33), ('Scientist', 31)]),
  dict(enemies=[('CursePrincess', 38), ('Lady', 37), ('CrocodileMan', 35), ('SteelKing', 25), ('InfectedSailor', 28)]),
  dict(enemies=[('Knight', 25), ('ThoughtWorm', 34), ('Chicken', 43), ('BullLady', 35), ('SteelKing', 27)]),
  dict(enemies=[('BullLady', 39), ('ThoughtWorm', 33), ('CursePrincess', 32), ('Rats', 31), ('SteelKing', 30)]),
  dict(enemies=[('CursePrincess', 26), ('Rats', 42), ('Lady', 32), ('Wizard', 29), ('SteelKing', 37)]),
  dict(enemies=[('Reaper', 27), ('ThoughtWorm', 41), ('RescueParrot', 35), ('BullLady', 33), ('Monkey', 31)]),
  dict(enemies=[('Knight', 27), ('SteelKing', 36), ('BullLady', 31), ('Rats', 45), ('ThoughtWorm', 29)]),
  dict(enemies=[('Knight', 39), ('CursePrincess', 36), ('BullLady', 35), ('Scientist', 31), ('Monkey', 28)]),
  dict(enemies=[('Scientist', 43), ('Lady', 31), ('CursePrincess', 33), ('ThoughtWorm', 27), ('Wizard', 36)]),
  dict(enemies=[('RescueParrot', 31), ('Scientist', 37), ('CursePrincess', 35), ('Monkey', 35), ('Chicken', 33)]),
  dict(enemies=[('ThoughtWorm', 35), ('InfectedSailor', 28), ('Monkey', 35), ('CrocodileMan', 47), ('Knight', 27)]),
  dict(enemies=[('ThoughtWorm', 37), ('Reaper', 34), ('Monkey', 31), ('InfectedSailor', 38), ('CursePrincess', 33)]),
  dict(enemies=[('Lady', 38), ('Scientist', 27), ('Wizard', 37), ('Monkey', 42), ('RescueParrot', 30)]),
  dict(enemies=[('ThoughtWorm', 37), ('Wizard', 37), ('Reaper', 32), ('Rats', 37), ('BullLady', 32)]),
  dict(enemies=[('Rats', 35), ('Chicken', 30), ('CrocodileMan', 38), ('RescueParrot', 35), ('Knight', 38)]),
  dict(enemies=[('Lady', 37), ('Reaper', 36), ('Knight', 36), ('InfectedSailor', 36), ('RescueParrot', 32)]),
  dict(enemies=[('Knight', 33), ('BullLady', 35), ('Scientist', 41), ('Rats', 31), ('Lady', 38)]),
  dict(enemies=[('Reaper', 33), ('ThoughtWorm', 34), ('Wizard', 41), ('SteelKing', 42), ('RescueParrot', 29)]),
  dict(enemies=[('Reaper', 38), ('Rats', 30), ('InfectedSailor', 36), ('CrocodileMan', 42), ('RescueParrot', 34)]),
  dict(enemies=[('RescueParrot', 35), ('BullLady', 39), ('InfectedSailor', 37), ('Knight', 37), ('CrocodileMan', 33)]),
  dict(enemies=[('Reaper', 37), ('InfectedSailor', 37), ('CrocodileMan', 30), ('SteelKing', 39), ('CursePrincess', 39)]),
  dict(enemies=[('BullLady', 48), ('Lady', 32), ('Knight', 29), ('Wizard', 44), ('InfectedSailor', 30)]),
  dict(enemies=[('Knight', 31), ('BullLady', 39), ('Reaper', 39), ('CrocodileMan', 34), ('Rats', 41)]),
  dict(enemies=[('SteelKing', 37), ('Scientist', 29), ('CursePrincess', 41), ('Reaper', 35), ('CrocodileMan', 43)]),
  dict(enemies=[('BullLady', 33), ('Monkey', 43), ('InfectedSailor', 38), ('Scientist', 44), ('CursePrincess', 28)]),
  dict(enemies=[('CursePrincess', 41), ('Monkey', 34), ('BullLady', 31), ('Wizard', 43), ('Scientist', 38)]),
  dict(enemies=[('Chicken', 43), ('Lady', 34), ('SteelKing', 30), ('CrocodileMan', 43), ('Wizard', 38)]),
  dict(enemies=[('CursePrincess', 45), ('BullLady', 38), ('InfectedSailor', 30), ('Wizard', 33), ('Reaper', 43)]),
  dict(enemies=[('Monkey', 40), ('Lady', 29), ('BullLady', 40), ('RescueParrot', 47), ('Reaper', 34)]),
  dict(enemies=[('Scientist', 44), ('Monkey', 41), ('SteelKing', 34), ('RescueParrot', 37), ('Wizard', 35)]),
  dict(enemies=[('Monkey', 49), ('CursePrincess', 42), ('Scientist', 29), ('Wizard', 30), ('SteelKing', 42)]),
  dict(enemies=[('Scientist', 32), ('Knight', 29), ('Rats', 49), ('RescueParrot', 40), ('Reaper', 43)]),
  dict(enemies=[('CrocodileMan', 50), ('RescueParrot', 26), ('Monkey', 42), ('Scientist', 38), ('ThoughtWorm', 38)]),
  dict(enemies=[('Rats', 38), ('Wizard', 46), ('Scientist', 40), ('Monkey', 39), ('CursePrincess', 32)]),
  dict(enemies=[('InfectedSailor', 44), ('CrocodileMan', 40), ('Knight', 44), ('ThoughtWorm', 30), ('BullLady', 38)]),
  dict(enemies=[('Chicken', 41), ('Scientist', 33), ('Wizard', 38), ('Monkey', 47), ('InfectedSailor', 38)]),
  dict(enemies=[('Chicken', 40), ('Scientist', 39), ('BullLady', 44), ('CrocodileMan', 34), ('Rats', 41)]),
  dict(enemies=[('Monkey', 43), ('SteelKing', 46), ('Knight', 34), ('Chicken', 41), ('Wizard', 35)]),
  dict(enemies=[('Lady', 38), ('Wizard', 49), ('Monkey', 42), ('Knight', 36), ('InfectedSailor', 35)]),
  dict(enemies=[('Wizard', 36), ('Chicken', 39), ('BullLady', 45), ('Reaper', 42), ('Lady', 39)]),
  dict(enemies=[('SteelKing', 48), ('Knight', 38), ('RescueParrot', 36), ('CursePrincess', 41), ('Reaper', 39)]),
  dict(enemies=[('BullLady', 38), ('RescueParrot', 43), ('Lady', 36), ('CrocodileMan', 50), ('CursePrincess', 36)]),
  dict(enemies=[('CursePrincess', 37), ('Wizard', 45), ('Scientist', 42), ('Chicken', 42), ('Reaper', 38)]),
]
